<?php

namespace App\ViewModels\Loja\LojaChangeStatusViewModel;

use App\Utils\Entity;

class LojaChangeStatusViewModel extends Entity {
	protected $id;
	protected $id_unidade;
	protected $id_status;
	protected $alterado_por;	
	protected $data_alteracao;
	protected $hora_alteracao;

	public static function builder(): LojaChangeStatusViewModelBuilder {

		return new LojaChangeStatusViewModelBuilder();

	}

	
	/**
	 * @return mixed
	 */
	public function getId() {
		
		return $this->id;
	}
	
	

	/**
	 *
	 * @return mixed
	 */
	public function getIdUnidade() {

		return $this->id_unidade;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getIdStatus() {

		return $this->id_status;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAlteradoPor() {

		return $this->alterado_por;

	}

	
	/**
	 *
	 * @return mixed
	 */
	public function getDataAlteracao() {

		return $this->data_alteracao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHoraAlteracao() {

		return $this->hora_alteracao;

	}
	
	/**
	 * @param mixed $id
	 */
	public function setId($id) {
		
		$this->id = $id;
	}
	

	/**
	 *
	 * @param mixed $id_unidade
	 */
	public function setIdUnidade($id_unidade) {

		$this->id_unidade = $id_unidade;

	}

	/**
	 *
	 * @param mixed $id_status
	 */
	public function setIdStatus($id_status) {

		$this->id_status = $id_status;

	}

	/**
	 *
	 * @param mixed $alterado_por
	 */
	public function setAlteradoPor($alterado_por) {

		$this->alterado_por = $alterado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setDataCriacao($data_criacao) {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHoraCriacao($hora_criacao) {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $data_alteracao
	 */
	public function setDataAlteracao($data_alteracao) {

		$this->data_alteracao = $data_alteracao;

	}

	/**
	 *
	 * @param mixed $hora_alteracao
	 */
	public function setHoraAlteracao($hora_alteracao) {

		$this->hora_alteracao = $hora_alteracao;

	}




}

